partial_sort_copy.hpp File Reference

## Functions

template<typename I , typename SI , typename O , typename SO , typename C = less, typename PI = identity, typename PO = identity>
CPP_TEMPLATE_AUX_0 | ranges::c (requires input_iterator< I > &&sentinel_for< SI, I > &&random_access_iterator< O > &&sentinel_for< SO, O > &&indirectly_copyable< I, O > &&sortable< O, C, PO > &&indirect_strict_weak_order< C, projected< I, PI >, projected< O, PO >>) ccconstexpr O partial_sort_copy(I first
| function template `partial_sort_copy`

## Variables

CPP_TEMPLATE_AUX_0 SI O SO C PI | ranges::in_proj = PI{}
CPP_TEMPLATE_AUX_0 SI O | ranges::out_begin
CPP_TEMPLATE_AUX_0 SI O SO | ranges::out_end
CPP_TEMPLATE_AUX_0 SI O SO C PI PO | ranges::out_proj
CPP_TEMPLATE_AUX_0 SI O SO C PI PO | ranges::OutRng
CPP_TEMPLATE_AUX_0 SI O SO C PI PO | ranges::PI = identity